iOS Pong Starter
================

This is an XCode project for the iPad that demonstrates a basic Pong
implementation and some simple game development techniques (timers, gesture
recognizers, and animation).  It can be used as a starting point to build 
a more advanced game.


Requirements
------------

XCode 4.2 and iOS SDK 5.0.


Setup
-----

1. Fork the project.
2. Clone the repository to your local machine.
3. Open the *pong.xcodeproj* file in XCode.
4. Build and Run.

To install to your iPad, be sure to modify the Bundle Identifier in
*pong-Info.plist* to match your Provisioning Profile.


What Now?
---------

Take the project to a new level!  Look through the code so you understand
what's going on, then start customizing the game:

- Add a background or new images for the ball and paddles (If you change the size of the images, you'll need to adjust some of the values as well).
- Add ping/pong sounds when the ball strikes a paddle or the wall.
- Display a message when one player wins by reaching a certain score.
- Make the game one-player by adding some AI for one of the paddles.
- Change the direction of the ball based on where it strikes the paddle.
- Whatever you can come up with that would make a great new feature!


Contributions
-------------

The intention of this project is to provide the most basic implementation for
developers to build on.  If you want other people to see the cool things you've
done with it, be sure to fork the project so other developers will find you.
    	
    	
Terms of Use / Disclaimer
-------------------------

Released under the The MIT License (http://www.opensource.org/licenses/MIT).

Copyright (c) 2012 Andrew Hoyer

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
